Bug 507589 - Programs Under Wine Crashing
Programs Under Wine Crashing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 08:00 EDT by Eli Wapniarski
Modified: 2010-12-05 06:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:48:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console output with NVidia's Latest Driver (53.44 KB, text/plain)
2009-06-24 05:35 EDT, Eli Wapniarski
no flags Details
Console Output with the second most recent Driver Version (53.24 KB, text/plain)
2009-06-24 05:37 EDT, Eli Wapniarski
no flags Details
Logs of the crash (7.96 KB, application/x-gzip)
2010-05-05 09:26 EDT, Benjamín Valero Espinosa
no flags Details
Xorg log of crash corresponding to comment #20 (125.26 KB, text/plain)
2010-07-14 17:24 EDT, john cooper
no flags Details

  None (edit)
Description Eli Wapniarski 2009-06-23 08:00:01 EDT
I realize that this report is not the most coherent that I've ever posted. I hope that you can help me organize it into something that you can work with better. I've been working for nearly a week trying to figure out what's going on.

Fedora 11 x86_64

Wine Version 1.1.21 - 24 (Downloaded from Koji)

I've been playing a MMORPG called Perfectworld International for quite some time.

On Fedora 10 x65_64 everything was fine and I enjoyed many hours playing

On Fedora 11. If I can get the game running at all I'm lucky. I have better success when Pulseaudio is disabled. So I've uninstalled everything other than required libraries and so when I reboot the system pulse no longer runs.

The sound driver configured under winecfg is alsa.

What I see most of the time when I first boot the game, the launcher runs but it can't seem to connect to the servers.

When I get out of the games and then try to run it again, I usually can connect to the servers. But, only if Pulseaudio is not running. And yes, I have tried to run the game with the Pulseaudio driver in wine.

If I click on start, then the game tries to start. If pulseaudio is running, then X immediately restarts.

If pulse is not running then sometimes X restarts sometimes it doesn't and I can play the game for awhile. But then after awhile either I'm unceremoniously dumped out of the game or X restarts.

Please help.
Comment 1 Eli Wapniarski 2009-06-23 08:02:53 EDT
Correction to text: Where it reads "On Fedora 10 x65_64 everything..."

It should read: "On Fedora 10 x86_64 everything..."
Comment 2 Andreas Bierfert 2009-06-23 13:49:22 EDT
X crashing sounds like a bug in your video driver. Do you see any stack traces or error logs in a console window or in /var/log/messages? What video driver are you using?
Comment 3 Eli Wapniarski 2009-06-23 15:44:46 EDT
I'm using Nvidia drivers. And it could very well be, however, I'm using the same driver under Fedora 11 as I used in Fedora 10.

I could try running from a console. Any pointers?
Comment 4 Eli Wapniarski 2009-06-24 05:35:01 EDT
Created attachment 349213 [details]
console output with NVidia's Latest Driver

Attached is the request for console output. The output was produced with the most recent driver. X did not crash this time, but the game most certainly did.
Comment 5 Eli Wapniarski 2009-06-24 05:37:06 EDT
Created attachment 349214 [details]
Console Output with the second most recent Driver Version

The output was produced with the driver version being the one just before the most recent version.

Any other information I can provide that may help
Comment 6 Eli Wapniarski 2009-06-25 05:24:16 EDT
Not just perfectworld international, but all the games that I have previously enjoy seems to crash.

As indicated, before the upgrade to Fedora 11 everything was working just fine.

Please advise if there is anything that I can do to be more helpful
Comment 7 Eli Wapniarski 2009-06-25 06:14:42 EDT
Just tried 1.1.24-2

1) The nss-mdns requirment breaks my computer's ability to properly do name resolution.

2) Removing nss-mdns fixes my general networking but as expected, pwi under wine does not seem to connect to the network.

Could part of the nss-mdns problem be that kde relies on avahi?
Comment 8 Eli Wapniarski 2009-06-26 06:25:30 EDT
Crap... Double Crap.... Triple Crap.

It was my configuration. How it became my configuration, I have no idea.

Medium Story made short. Default windows configuration was set to windows 2000. How that happened, I have no idea. I trully do not recall running winecfg and changing it from windows xp.

In any case, that was the final problem.

Please accept my sincerest apologies if I caused any inconvenience.

Thanks for your time.
Comment 9 Eli Wapniarski 2009-06-26 06:26:02 EDT
Oh.... reverted to official release 1.1.23 everythin is OK.
Comment 10 Eli Wapniarski 2009-06-26 07:13:27 EDT
I wrote too soon. It would seem its about 50% ok. Runs, but not reliably or consistently. I will update more after a bit more study of the behavior.
Comment 11 Eli Wapniarski 2009-06-26 13:29:54 EDT
Found another aspect to this problem. It would seem that trying to run games at 2560x1024 on a dual screen system is suddenly giving my system a hard time.

I was, under Fedora 10 quite able to run games across both screens. However under Fedora 11 it seems that I am having a very hard time doing this. My system seems to have a much easier time of it under 1280x1024.

The game still crashes on occaision but, after cleaning out any zombie process and then running wineboot I can get back into the game without having X Windows crash on me.

So this is progress.

To sum up

1) Pulseaudio 0.9.15-14 for some bizarre reason seems to interfere with networking.

2) xorg 1.6.1.901-1 seems to have a hard time with wine and dual screens at 2560x1024.
Comment 12 Eli Wapniarski 2009-06-27 08:29:20 EDT
One final report (I hope) wine 1.1.23 seems to work much better and seems to be more stable than 1.1.24 under the conditions reported in Comment 11
Comment 13 Eli Wapniarski 2009-07-06 06:54:34 EDT
Still a little early, but it looks like the crash that I've been experiencing with my dual screen setup was the result of the nouveau framebuffer driver from the kernel conflicting with my Nvidia driver. After blaclisitng the nouveau framebuffer and rebuilding initrd things seem to be working. Its still early but things look OK.
Comment 14 Eli Wapniarski 2009-07-06 16:12:27 EDT
Nah... It was just lucky. The game still crashes like crazy when I configure it to span both monitors.
Comment 15 Eli Wapniarski 2009-08-26 01:29:14 EDT
K.... Problem with Network Connectivity and Pulseaudio worked around. The clue provided is the fact that nss-mdns is listed as a requirement. I killed avahi and started mdns and all seems to be well.
Comment 16 Bug Zapper 2010-04-27 11:11:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Benjamín Valero Espinosa 2010-05-05 09:26:00 EDT
Created attachment 411597 [details]
Logs of the crash

This tar contains the messages and Xorg log and the old one, which includes the backtrace, all of them in /var/log:

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e5dbc]
1: /usr/bin/Xorg (0x8047000+0x5ff66) [0x80a6f66]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x64540c]
3: /usr/bin/Xorg (VidModeGetFirstModeline+0x73) [0x8173f03]
4: /usr/bin/Xorg (VidModeGetNumOfModes+0x3f) [0x8173f9f]
5: /usr/lib/xorg/modules/extensions/libextmod.so (0xd03000+0x6fe1) [0xd09fe1]
6: /usr/bin/Xorg (0x8047000+0x27437) [0x806e437]
7: /usr/bin/Xorg (0x8047000+0x1ba6a) [0x8062a6a]
8: /lib/libc.so.6 (__libc_start_main+0xe6) [0x8f2bb6]
9: /usr/bin/Xorg (0x8047000+0x1b661) [0x8062661]
Segmentation fault at address 0x4
Comment 18 Benjamín Valero Espinosa 2010-05-22 06:27:40 EDT
After updating Wine to 1.1.44 I have had the same problem with the same backtrace. Should be this reported to upstream or another module?
Comment 19 Martin Kopun 2010-05-28 09:31:51 EDT
I am getting the similar backtrace. Well, it is basically the same but with different addresses.

Backtrace:
[195438.483] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49e708]
[195438.483] 1: /usr/bin/Xorg (0x400000+0x603d9) [0x4603d9]
[195438.483] 2: /lib64/libc.so.6 (0x7f58194a8000+0x32a40) [0x7f58194daa40]
[195438.483] 3: /usr/bin/Xorg (VidModeGetFirstModeline+0x82) [0x5248a2]
[195438.483] 4: /usr/bin/Xorg (VidModeGetNumOfModes+0x3c) [0x52493c]
[195438.483] 5: /usr/lib64/xorg/modules/extensions/libextmod.so (0x7f5818bb7000+0xa72c) [0x7f5818bc172c]
[195438.484] 6: /usr/bin/Xorg (0x400000+0x2c32c) [0x42c32c]
[195438.484] 7: /usr/bin/Xorg (0x400000+0x219ca) [0x4219ca]
[195438.484] 8: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7f58194c6c5d]
[195438.484] 9: /usr/bin/Xorg (0x400000+0x21579) [0x421579]
[195438.484] Segmentation fault at address 0x8
[195438.484] 
Fatal server error:
[195438.484] Caught signal 11 (Segmentation fault). Server aborting
[195438.484] 
[195438.490] 
Please consult the Fedora Project support 
	 at http://bodhi.fedoraproject.org/
 for help. 
[195438.505] Please also check the log file at "/var/log/Xorg.0.log" for additional information.

Steps to reproduce:
 - run any *.exe in wine
 - probability of Xorg crash is somewhere between 10 to 50%.

I am using fedora 13 now, but the problem was also in F12.
Comment 20 john cooper 2010-07-14 17:21:43 EDT
(In reply to comment #19)

I'm seeing a similar problem, unrelated to wine but the failure
sounds similar.  In my case the crash is very occasional and
directly correlates to a new window being rendered.  The server
bites the dust, session ends, and I'm back at the X login:

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49ef28]
1: /usr/bin/Xorg (0x400000+0x61ec9) [0x461ec9]
2: /lib64/libpthread.so.0 (0x3262e00000+0xefa0) [0x3262e0efa0]
3: /usr/bin/Xorg (VidModeGetFirstModeline+0x82) [0x524042]
4: /usr/bin/Xorg (VidModeGetNumOfModes+0x3c) [0x5240dc]
5: /usr/lib64/xorg/modules/extensions/libextmod.so (0x7f9c0a323000+0xa6dc) [0x7f9c0a32d6dc]
6: /usr/bin/Xorg (0x400000+0x2c93c) [0x42c93c]
7: /usr/bin/Xorg (0x400000+0x21f1a) [0x421f1a]
8: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x326261eb1d]
9: /usr/bin/Xorg (0x400000+0x21ad9) [0x421ad9]
Segmentation fault at address 0x8

Xorg log attached.
Comment 21 john cooper 2010-07-14 17:24:26 EDT
Created attachment 431918 [details]
Xorg log of crash corresponding to comment #20
Comment 22 Bug Zapper 2010-11-04 07:01:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2010-12-05 01:48:54 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 24 Benjamín Valero Espinosa 2010-12-05 06:59:38 EST
Well, at least as a F13 user I haven't experienced this bug in last months, so I will let it closed, because it seems to be solved in last updates.

Note You need to log in before you can comment on or make changes to this bug.